### Property

# Soup Server:tls-auth-mode

#### Declaration

    property tls-auth-mode: Gio.TlsAuthenticationMode [ read, write, construct ]

#### Description [src]

A `GTlsAuthenticationMode` for SSL/TLS client authentication.

Type: | `GTlsAuthenticationMode`

Getter method | `soup_server_get_tls_auth_mode()`
Setter method | `soup_server_set_tls_auth_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no